Bug 125117 - 6 * printf problems
Summary: 6 * printf problems
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: exim (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-02 20:10 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-02 14:23:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-06-02 20:10:06 UTC
Description of problem:

I just tried to compile package exim-4.33-2 from Redhat Fedora
Core2.

The compiler said

autoreply.c(382): warning #268: the format string ends before this
argument
pipe.c(835): warning #268: the format string ends before this argument
smtp.c(1525): warning #268: the format string ends before this argument
smtp.c(1672): warning #268: the format string ends before this argument
pwcheck.c(214): warning #268: the format string ends before this argument
smtp_out.c(110): warning #267: the format string requires additional
arguments

The last warning looks especially serious.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Thomas Woerner 2004-07-02 14:23:52 UTC
Fixed in rawhide in package exim-4.34-3 or newer.

Comment 2 Nigel Metheringham 2004-07-07 10:49:55 UTC
There are fixes for these (actually for 4 of them - 2 were down to
the compiler getting things wrong) in the snapshot for 4.40

See
   http://www.exim.org/ftp/Testing/

Not had chance to review either set of fixes and check all the bases
were covered as yet.  Would appreciate it if anyone can reconcile
these and mark this up appropriately.



Note You need to log in before you can comment on or make changes to this bug.